bcr_test_module:
  module_path: "testing"
  matrix:
    platform: ["ubuntu2204"]
  tasks:
    run_tests:
      name: "Run test module"
      platform: ${{ platform }}
      environment:
        # The Nix installer updates ~/.profile to set PATH. However, the Bazel
        # CI setup seems to disregard ~/.profile. So we set PATH manually here.
        PATH: /var/lib/buildkite-agent/.nix-profile/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
      shell_commands:
        - curl -L https://nixos.org/nix/install | sh -s -- --no-daemon
      test_targets:
        - "//..."
